Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.pde.ui.templates
Class BooleanOption

    java.lang.Object
      org.eclipse.pde.ui.templates.TemplateField
          org.eclipse.pde.ui.templates.TemplateOption
              org.eclipse.pde.ui.templates.BooleanOption

public class BooleanOption
extends TemplateOption

This implementation of the TemplateOption can be used to represent options that are boolean choices. Option provides the appropriate visual presentation that allows users to set the boolean value of the option.

Since:
  2.0

Constructor Summary
`BooleanOption(BaseOptionTemplateSection section, String name, String label)` The constructor of the option.

Method Summary
`void` | `createControl(Composite parent, int span)` Creates the boolean option control.
`boolean` | `isSelected()` Returns the current state of the option.
`void` | `setEnabled(boolean enabled)` Implementatin of the superclass method that updates the option widget with the new enabled state.
`void` | `setSelected(boolean selected)` Changes the current state of the option to the provided state.
`void` | `setValue(Object value)` Implementation of the superclass method that updates the option's widget with the new value.

Methods inherited from class org.eclipse.pde.ui.templates.TemplateOption
`getMessageLabel, getName, getValue, isEmpty, isEnabled, isRequired, setName, setRequired`

Methods inherited from class org.eclipse.pde.ui.templates.TemplateField
`createLabel, getLabel, getSection, setLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BooleanOption

    public BooleanOption(BaseOptionTemplateSection section,
                         String name,
                         String label)

  The constructor of the option.

Parameters:
  `section` - the parent section
  `name` - the unique name
  `label` - the presentable label of the option

Method Detail

### isSelected

    public boolean isSelected()

  Returns the current state of the option.

  Returns:
    true of the option is selected, false otherwise.

### setSelected

    public void setSelected(boolean selected)

  Changes the current state of the option to the provided state.

  Parameters:
    `selected` - the new state of the option

### setValue

    public void setValue(Object value)

  Implementation of the superclass method that updates the option's widget with the new value.

  Overrides:
    `setValue` in class `TemplateOption`
  Parameters:
    `value` - the new option value

### createControl

    public void createControl(Composite parent,
                              int span)

  Creates the boolean option control. Option reserves the right to modify the actual widget used as long as the user can modify its boolean state.

  Specified by:
    `createControl` in class `TemplateField`
  Parameters:
    `parent` - the parent composite of the option widget
    `span` - the number of columns that the widget should span

### setEnabled

    public void setEnabled(boolean enabled)

  Implementatin of the superclass method that updates the option widget with the new enabled state.

  Overrides:
    `setEnabled` in class `TemplateOption`
  Parameters:
    `enabled` - the new enabled state.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.